petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatFDColoringSetParameters

Sets the parameters for the sparse approximation of a Jacobian matrix using finite differences.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetParameters(MatFDColoring matfd,PetscReal error,PetscReal umin)

Logically Collective on MatFDColoring

The Jacobian is estimated with the differencing approximation

           F'(u)_{:,i} = [F(u+h*dx_{i}) - F(u)]/h where
           h = error_rel*u[i]                 if  abs(u[i]) > umin
             = +/- error_rel*umin             otherwise, with +/- determined by the sign of u[i]
           dx_{i} = (0, ... 1, .... 0)

### Input Parameters

| coloring | - the coloring context
| error_rel | - relative error
| umin | - minimum allowable u-value magnitude

### Keywords

Mat, finite differences, coloring, set, parameters

### See Also

MatFDColoringCreate(), MatFDColoringSetFromOptions()

Level:advanced
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages